<?php
	//$urlxmls = "http://drupal6.betapruebas.com/";
	global $base_url;
	$urlxmls = $base_url."/";
	
    drupal_add_css("formularios/dhtmlx/dhtmlx.css");	  
    drupal_add_css("formularios/dhtmlx/dhtmlx_custom.css");	  
    drupal_add_js("formularios/dhtmlx/dhtmlx.js");
    drupal_add_js("formularios/dhtmlx/dhtmlxform_item_container.js");
    drupal_add_js("formularios/dhtmlx/numberformat.js");

    drupal_add_js("formularios/inc/lnInversiones.js");
    drupal_add_js("formularios/inc/gdInversiones.js");
    drupal_add_js("formularios/inc/frmInversiones.js");
    drupal_add_js("formularios/inc/funciones.js");
?>

<div id="form_container" style="width:900px;"></div>
<script type="text/javascript">

var form, formPresupuesto, formContrato, formProyecto;
var gdPresupuestos, gdContratos, gdProyectos, gdBaseline;
var optsAgenciaB, optsEnteB, optsCodigoB, optsAgencia, optsEntidad, optsTipo, optsFuncion, optsEstado;
var err;
var win;
var urlxmls = "<?php echo $urlxmls ?>";

var wins = new dhtmlXWindows();
wins.setImagePath("formularios/dhtmlx/imgs/");
 
window.onload=function()
{
	form = new dhtmlXForm("form_container", strucForm());
	with(form)
   	{
 		attachEvent("onChange", function (id, value){
			switch(id)
			{
				case "codigo":
					changeCodigo(value);
					break;
			}
		});

		attachEvent("onButtonClick", function(id){
	        switch(id)
	        {
	        	case "reportar":
	        		clickReportar();
					break;
	    	    		
    	    	case "nueva":
					clickNueva(); 
					break;
	    	    		
				case "eliminar":
					clickEliminar();
					break;

	    	    case "guardar":
	    	    	clickGuardar();
				    break;
			       
				case "limpiar":
					clickLimpiar();
					break;

				case "cancelar":
					clickCancelar();
					break;

				case "presupuestoagregar":
					clickPresupuestoAdd();
					break;

				case "presupuestomodificar":
					clickPresupuestoEdit();
					break;
		    
		    	case "presupuestoeliminar":
		    		clickPresupuestoDel();
		    		break;
					
				case "contratacionagregar":
					clickContratoAdd();
					break;
			
				case "contratacionmodificar":
					clickContratoEdit();
					break;

				case "contratacioneliminar":
					clickContratoDel();
					break; 
	
				case "proyectoagregar":
					clickProyectoAdd();
					break;
					
				case "baseline":
					clickProyectoBase();
					break;

				case "proyectoeliminar":
					clickProyectoDel();
	    	}
	    });

		attachEvent("onValidateError", function (input, value, result){
			acumulaError(input);
		});
		
		attachEvent("onAfterValidate", function (status){
			imprimeError(status);
	    });
	
    	hideItem("frinversion");
    	hideItem("frpresupuestos");
    	hideItem("frcontrataciones");
    	hideItem("frproyectos");
	}
	
	cargaAgenciaB();
	cargaEnteB();
	cargaCodigoB();
	cargaEntidad();
	cargaAgencia();
	cargaTipo();
	cargaFuncion();
	cargaEstado();	
	
	//GRID PRESUPUESSTO ASIGNADO
	gdPresupuestos = new dhtmlXGridObject(form.getContainer('presupuestosgrid'));
	cargaGridPresupuesto();
	
	//GRID CONTRATACIONES
	gdContratos = new dhtmlXGridObject(form.getContainer('contratosgrid'));
	cargaGridContratos();
	
	//GRID DE PROYECTOS		
	gdProyectos = new dhtmlXGridObject(form.getContainer('proyectosgrid'));
	cargaGridProyectos();
}

</script>